import {forwardRef} from 'react'
import {Image} from 'expo-image'
import {flatten} from '#/alf'

export const Logo = forwardRef(function LogoImpl(props: any, ref) {
  const {width, style} = props
  // @ts-ignore
  const size = parseInt(width || 32, 10)
  return (
    <Image
       source={require('../../../assets/logo.png')}
       style={[{width: size, height: size}, flatten(style)]}
       contentFit="contain"
       accessibilityLabel="Logo"
    />
  )
})
